CVE-2005-4792
CVSS7.5
发布时间 :2005-12-31 00:00:00
修订时间 :2008-09-05 16:57:50
NMCO    

[原文]SQL injection vulnerability in index.php in Appalachian State University phpWebSite 0.10.1 and earlier allows remote attackers to execute arbitrary SQL commands via the module parameter. NOTE: the provenance of this information is unknown; the details are obtained solely from third party information.


[CNNVD]PHPWebSite搜索模块SQL注入漏洞(CNNVD-200512-644)

        Appalachian State University phpWebSite 0.10.1及更早版本中的index.php存在SQL注入漏洞,远程攻击者可以通过模块参数执行任意SQL命令。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:phpwebsite:phpwebsite:0.9.3.4
cpe:/a:phpwebsite:phpwebsite:0.10
cpe:/a:phpwebsite:phpwebsite:0.7.3
cpe:/a:phpwebsite:phpwebsite:0.9.3.3
cpe:/a:phpwebsite:phpwebsite:0.9.2
cpe:/a:phpwebsite:phpwebsite:0.8.2
cpe:/a:phpwebsite:phpwebsite:0.9.0
cpe:/a:phpwebsite:phpwebsite:0.8.3
cpe:/a:phpwebsite:phpwebsite:0.9.3.2
cpe:/a:phpwebsite:phpwebsite:0.9.3.1
cpe:/a:phpwebsite:phpwebsite:0.9.1
cpe:/a:phpwebsite:phpwebsite:0.9.3
cpe:/a:phpwebsite:phpwebsite:0.10.1

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-4792
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-4792
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200512-644
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/15088
(PATCH)  BID  15088

- 漏洞信息

PHPWebSite搜索模块SQL注入漏洞
高危 SQL注入
2005-12-31 00:00:00 2006-05-01 00:00:00
远程  
        Appalachian State University phpWebSite 0.10.1及更早版本中的index.php存在SQL注入漏洞,远程攻击者可以通过模块参数执行任意SQL命令。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        http://osdn.dl.sourceforge.net/sourceforge/phpwebsite/phpwebsite_security_patch_20051012.tgz

- 漏洞信息

17788
phpWebSite index.php Search Module Multiple Parameter SQL Injection
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality, Loss of Integrity
Exploit Public Vendor Verified

- 漏洞描述

phpWebSite contains a flaw that may allow an attacker to carry out an SQL injection attack. The issue is due to the index.php script not properly sanitizing user-supplied input to the 'Search' module. This may allow an attacker to inject or manipulate SQL queries in the back-end database.

- 时间线

2005-07-07 Unknow
Unknow Unknow

- 解决方案

Currently, there are no known workarounds or upgrades to correct this issue. However, Appalachian State University has released a patch to address this vulnerability.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站